Skip to main content
GET
/
oauth-connections
JavaScript
import Reminix from '@reminix/sdk';

const client = new Reminix({
  apiKey: process.env['REMINIX_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const oauthConnectionListResponse of client.oauthConnections.list()) {
  console.log(oauthConnectionListResponse.id);
}
{
  "data": [
    {
      "id": "conn_abc123",
      "providerId": "prov_xyz",
      "providerName": "Google",
      "providerSlug": "google",
      "slug": "google",
      "label": null,
      "tokenType": "Bearer",
      "scopes": "calendar.readonly email",
      "status": "active",
      "isDefault": true,
      "accountIdentifier": "user@example.com",
      "lastUsedAt": "2024-01-15T10:30:00Z",
      "createdAt": "2024-01-10T08:00:00Z"
    }
  ],
  "nextCursor": null,
  "hasMore": false
}

Authorizations

Authorization
string
header
required

API Key or Personal Access Token (PAT). When using PAT, include X-Project header.

Query Parameters

provider
string

Filter by provider slug

cursor
string

Pagination cursor

limit
integer

Maximum number of items to return (1-100)

Required range: 1 <= x <= 100

Response

List of connections

data
object[]
required
nextCursor
string | null
required
hasMore
boolean
required